linux-lts-quantal: 3.5.0-25.38~precise1 -proposed tracker

Bug #1130317 reported by Brad Figg on 2013-02-19
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux-lts-quantal (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.5.0-25.38~precise1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 19. February 2013 19:08 UTC
kernel-stable-master-bug:1129472
kernel-stable-Certification-testing-end:Tuesday, 19. February 2013 20:03 UTC
kernel-stable-Prepare-package-end:Wednesday, 20. February 2013 12:05 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 20. February 2013 12:05 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 20. February 2013 21:07 UTC
kernel-stable-Verification-testing-start:Wednesday, 20. February 2013 23:05 UTC
kernel-stable-Security-signoff-start:Thursday, 21. February 2013 10:03 UTC
kernel-stable-Verification-testing-end:Thursday, 21. February 2013 10:03 UTC
kernel-stable-Security-signoff-end:Thursday, 21. February 2013 20:04 UTC
kernel-stable-Promote-to-updates-end:Friday, 22. February 2013 00:05 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 22. February 2013 01:10 UTC

Brad Figg (brad-figg) on 2013-02-19
tags: added: kernel-release-tracking-bug
Changed in linux-lts-quantal (Ubuntu):
status: New → Invalid
tags: added: precise
Changed in kernel-sru-workflow:
importance: Undecided → Medium
status: New → In Progress
Changed in linux-lts-quantal (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-quantal (Ubuntu Precise):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2013-02-19
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Luis Henriques (henrix) wrote :

Exceptionally, we're not waiting for the regression testing this cycle.

Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and linux-signed ushered through.

Brad Figg (brad-figg) on 2013-02-20
description: updated
Brad Figg (brad-figg) on 2013-02-20
description: updated
Luis Henriques (henrix) wrote :

No SRUs to verify.

Brad Figg (brad-figg) on 2013-02-21
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-02-21
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-quantal - 3.5.0-25.38~precise1

---------------
linux-lts-quantal (3.5.0-25.38~precise1) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1130317

  [ Upstream Kernel Changes ]

  * ptrace: introduce signal_wake_up_state() and ptrace_signal_wake_up()
    - LP: #1119885, #1129192
    - CVE-2013-0871
  * ptrace: ensure arch_ptrace/ptrace_request can never race with SIGKILL
    - LP: #1119885, #1129192
    - CVE-2013-0871
  * wake_up_process() should be never used to wakeup a TASK_STOPPED/TRACED
    task
    - LP: #1119885, #1129192
    - CVE-2013-0871
 -- Luis Henriques <email address hidden> Tue, 19 Feb 2013 20:07:20 +0000

Changed in linux-lts-quantal (Ubuntu Precise):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-02-22
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers